Page MenuHomePhabricator

Wikimedia\Rdbms\Database::makeList: empty input for field rev_id
Closed, ResolvedPublic

Description

#0 /srv/mediawiki/php-1.30.0-wmf.1/includes/libs/rdbms/database/Database.php(1312): Wikimedia\Rdbms\Database->makeList(array, integer) 
#1 /srv/mediawiki/php-1.30.0-wmf.1/includes/api/ApiQueryRevisions.php(237): Wikimedia\Rdbms\Database->selectSQLText(string, string, array, string) 
#2 /srv/mediawiki/php-1.30.0-wmf.1/includes/api/ApiQueryRevisionsBase.php(43): ApiQueryRevisions->run() 
#3 /srv/mediawiki/php-1.30.0-wmf.1/includes/api/ApiQuery.php(253): ApiQueryRevisionsBase->execute() 
#4 /srv/mediawiki/php-1.30.0-wmf.1/includes/api/ApiMain.php(1578): ApiQuery->execute() 
#5 /srv/mediawiki/php-1.30.0-wmf.1/includes/api/ApiMain.php(545): ApiMain->executeAction() 
#6 /srv/mediawiki/php-1.30.0-wmf.1/includes/api/ApiMain.php(516): ApiMain->executeActionWithErrorHandling() 
#7 /srv/mediawiki/php-1.30.0-wmf.1/api.php(83): ApiMain->execute() 
#8 /srv/mediawiki/w/api.php(3): include(string) 
#9 {main}

Details

Event Timeline

mmodell created this task.May 11 2017, 9:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2017, 9:24 PM
mmodell triaged this task as High priority.May 11 2017, 9:59 PM

This is happening quite a lot in production but I haven't yet isolated what is causing it.

Krinkle added subscribers: tstarling, Anomie.
Anomie claimed this task.May 11 2017, 10:15 PM

At first glance searching this in Kibana, it seems likely it's one client hammering failing queries. Working on it.

Change 353477 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] ApiQueryRevisions: Don't be so tricky handling rvstartid/rvendid

https://gerrit.wikimedia.org/r/353477

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.May 12 2017, 1:20 PM

Change 353477 merged by jenkins-bot:
[mediawiki/core@master] ApiQueryRevisions: Don't be so tricky handling rvstartid/rvendid

https://gerrit.wikimedia.org/r/353477

Anomie closed this task as Resolved.May 13 2017, 3:03 PM

Change 353906 had a related patch set uploaded (by Catrope; owner: Anomie):
[mediawiki/core@wmf/1.30.0-wmf.1] ApiQueryRevisions: Don't be so tricky handling rvstartid/rvendid

https://gerrit.wikimedia.org/r/353906

Cherry-picking this to production now because of all the log spam.

Change 353906 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.1] ApiQueryRevisions: Don't be so tricky handling rvstartid/rvendid

https://gerrit.wikimedia.org/r/353906

Mentioned in SAL (#wikimedia-operations) [2017-05-15T19:42:29Z] <catrope@tin> Synchronized php-1.30.0-wmf.1/includes/api/ApiQueryRevisions.php: T165100 (duration: 00m 40s)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM